# Use the official Node.js image as the base image
FROM oven/bun:1.2.10

# Set the working directory inside the container
WORKDIR /usr/src/app

# Copy package.json and package-lock.json to the working directory
COPY package.json ./
COPY bun.lock ./

# Install the application dependencies
RUN bun install --frozen-lockfile  --production

# Copy the rest of the application files
COPY . .

# Build the NestJS application
RUN bun run build

# Expose the application port
EXPOSE 3000

# Command to run the application
CMD ["bun", "run", "start"]